# Class AdminAdvancedApi

#### Hierarchy (View Summary)

- JBaseApi
  - AdminAdvancedApi

- Defined in jamespot-user-api/src/apis/admin/advanced.ts:6

##### Index

### Constructors

constructor

### Properties

jApi
network

### Methods

getPublishButtonConfiguration
setPublishButtonConfiguration

## Constructors

### constructor

- new AdminAdvancedApi(jApi: JamespotUserApi): AdminAdvancedApi

  #### Parameters

  - jApi: JamespotUserApi

  #### Returns AdminAdvancedApi

  Inherited from JBaseApi.constructor

  - Defined in jamespot-user-api/src/apis/base.ts:8

## Properties

### jApi

jApi: JamespotUserApi

Inherited from JBaseApi.jApi

- Defined in jamespot-user-api/src/apis/base.ts:5

### network

network: Network

Inherited from JBaseApi.network

- Defined in jamespot-user-api/src/apis/base.ts:6

## Methods

### getPublishButtonConfiguration

- getPublishButtonConfiguration<PublishButtonConfiguration>(
  signal?: AbortSignal,
  ): Promise<ApiWrapper<PublishButtonConfiguration, BaseMessages>>

  #### Type Parameters

  - PublishButtonConfiguration

  #### Parameters

  - `Optional` signal: AbortSignal

  #### Returns Promise<ApiWrapper<PublishButtonConfiguration, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/advanced.ts:7

### setPublishButtonConfiguration

- setPublishButtonConfiguration<Boolean>(
  publishButtonConfiguration: PublishButtonConfiguration,
  ): Promise<ApiWrapper<Boolean, BaseMessages>>

  #### Type Parameters

  - Boolean

  #### Parameters

  - publishButtonConfiguration: PublishButtonConfiguration

  #### Returns Promise<ApiWrapper<Boolean, BaseMessages>>

  - Defined in jamespot-user-api/src/apis/admin/advanced.ts:19